# Functional Tests

- [Creating a Functional Test File](https://docs.elentra.org/api/automated-testing/functional-tests/creating-a-functional-test-file.md)
- [Testing HTTP Verbs](https://docs.elentra.org/api/automated-testing/functional-tests/testing-http-verbs.md)
- [Creating an HTTP Test](https://docs.elentra.org/api/automated-testing/functional-tests/testing-http-verbs/creating-an-http-test.md)
- [GET Requests](https://docs.elentra.org/api/automated-testing/functional-tests/testing-http-verbs/get-requests.md)
- [POST / PUT / DELETE Requests](https://docs.elentra.org/api/automated-testing/functional-tests/testing-http-verbs/post-put-delete-requests.md)
- [GraphQL Requests](https://docs.elentra.org/api/automated-testing/functional-tests/testing-http-verbs/graphql-requests.md)
- [Asserting API Response](https://docs.elentra.org/api/automated-testing/functional-tests/asserting-api-response.md): Automation tests are only validating if they assert the expected results. Asserts are used to verify the expected results from the endpoint.
- [Annotations](https://docs.elentra.org/api/automated-testing/functional-tests/annotations.md): Elentra's API contains custom annotations for functional tests that help developers easily create and manage tests.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elentra.org/api/automated-testing/functional-tests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
